#!/bin/bash

# PSEUDONYM MANAGER v.1.0
# Autor. F. Javier Campos
# Junio 2009

clear
echo "########################################"
echo "#                                      #"
echo "#       PSEUDONYM MANAGER  v.1.0       #"
echo "#                                      #"
echo -e "########################################\n"


if [ $# -lt 3 ]
then
	echo "USO DEL SCRIPT:"
	echo "    $0 < interfaz > del numero_pseudonimos"
	echo "  ó bien"
	echo -e "    $0 < interfaz > add <fichero_pseudonimos>\n"
	exit 1
fi

if [ $UID != 0 ]
then
	echo -e "ERROR.\tDebes ejecutar este script como ROOT."
	echo -e "\tPrueba a escribir:"
	echo -e "\t\tsudo $0 $1 $2 $3\n"
	exit 1
fi


if [ "$2" ==  "del" ]
then
	echo -e "BORRANDO interfaces virtuales de '$1'...\n"

	cont=$3
	while [ $cont -ge 0 ]
	do
		echo "  $1:$cont"
		ifconfig $1:$cont down
		cont=`expr $cont - 1`
	done

	echo -e "\nHECHO!\n\nEjecutando 'ifconfig'...\n"
	ifconfig


else 
	if [ "$2" ==  "add" ]
	then

		if [ -f $3 ] # si el fichero existe...
		then
			echo -e "CREANDO interfaces virtuales en '$1' para pseudónimos...\n"

			cont=0
			for linea in `cat $3` ; do
				ifconfig $1:$cont ${linea}
				echo "  $1:$cont = ${linea}"
				cont=`expr $cont + 1`
			done

			echo -e "\nHECHO!\n\nEjecutando 'ifconfig'...\n"
			ifconfig
		else
			echo "Error. El fichero '$3' no existe."
		fi
	fi
fi


